vcov.gam {mgcv} | R Documentation

## Extract parameter (estimator) covariance matrix from GAM fit

### Description

Extracts the Bayesian posterior covariance matrix of the parameters or frequentist covariance matrix of the parameter estimators from a fitted `gam` object.

### Usage

    ## S3 method for class 'gam':
    vcov(object, freq = TRUE, dispersion = NULL, ...)

### Arguments

`object` | fitted model object of class `gam` as produced by `gam()`.
`freq` | `TRUE` to return the frequentist covariance matrix of the parameter estimators, `FALSE` to return the Bayesian posterior covariance matrix of the parameters.
`dispersion` | a value for the dispersion parameter: not normally used.
`...` | other arguments, currently ignored.

### Details

Basically, just extracts `object$Ve` or `object$Vp` from a `gamObject`.

### Value

A matrix corresponding to the estimated frequentist covariance matrix of the model parameter estimators/coefficients, or the estimated posterior covariance matrix of the parameters, depending on the argument `freq`.

### Author(s)

Henric Nilsson. Maintained by Simon N. Wood simon.wood@r-project.org

### References

Wood, S.N. (2006) On confidence intervals for generalized additive models based on penalized regression splines. Australian and New Zealand Journal of Statistics. 48(4): 445-464.

### See Also

`gam`

### Examples

    n <- 100
    x <- runif(n)
    y <- sin(x*2*pi) + rnorm(n)*.2
    mod <- gam(y~s(x,bs="cc",k=10),knots=list(x=seq(0,1,length=10)))
    diag(vcov(mod))

[Package mgcv version 1.4-1.1 Index]